GNU bug report logs - #22114
24.5; [PATCH] Allow profiler.el to display reports after stopping

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Vasilij Schneidermann <v.schneidermann@HIDDEN>; Keywords: patch; dated Tue, 8 Dec 2015 08:15:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 19:21:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 14:21:26 2015
Received: from localhost ([127.0.0.1]:43707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6NpG-0004kY-Ci
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 14:21:26 -0500
Received: from mail-pf0-f179.google.com ([209.85.192.179]:36463)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jwiegley@HIDDEN>) id 1a6NpE-0004kP-AM
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 14:21:24 -0500
Received: by pfdd184 with SMTP id d184so16548199pfd.3
 for <22114 <at> debbugs.gnu.org>; Tue, 08 Dec 2015 11:21:22 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:in-reply-to:date:message-id:references
 :user-agent:mime-version:content-type;
 bh=oseKy16NGi6bN9rFnxve8tIYpAHougaYAq0DLDbKCoM=;
 b=BxIGJSbzrntw6P2Rfs/JyCOM84A8sjacM72EHKK/1U0Eis3X8SiMRkEphzmtmY7+a2
 bTxm7mt6tAf1a7CfZjF31lpybltpVWaYdhmTKxSIgxLrNoU9N4XxfO5Gc2f/8lGMPEXF
 xp/G5VIzz3q3/WWTFg3GK/DiYe3IFs+MV4grKO9IU3Vd1Fz8SFxVDZ5DPzGQO6lWsZmD
 WYxtTL531/atU5gSxKleMvDtlBBVE8A+6DU64SB0bLOvPbc0rl2+JSK2qsSto4sBgHOz
 t70yOrlEa58nRXo3QWxts2AxC095pFNCDtpZjwiq1DryjqZpo43gsEWWpzp3vlUZxnuZ
 Lw6A==
X-Received: by 10.98.71.92 with SMTP id u89mr7154838pfa.143.1449602482723;
 Tue, 08 Dec 2015 11:21:22 -0800 (PST)
Received: from Vulcan.local (76-234-68-79.lightspeed.frokca.sbcglobal.net.
 [76.234.68.79])
 by smtp.gmail.com with ESMTPSA id sm8sm6467674pac.43.2015.12.08.11.21.20
 (version=TLS1 cipher=AES128-SHA bits=128/128);
 Tue, 08 Dec 2015 11:21:20 -0800 (PST)
Received: by Vulcan.local (Postfix, from userid 501)
 id 9FD3410FE323C; Tue,  8 Dec 2015 11:21:19 -0800 (PST)
From: John Wiegley <jwiegley@HIDDEN>
To: Vasilij Schneidermann <v.schneidermann@HIDDEN>
Subject: Re: bug#22114: 24.5;
 [PATCH] Allow profiler.el to display reports after stopping
In-Reply-To: <20151208191523.GB19310@HIDDEN> (Vasilij
 Schneidermann's message of "Tue, 8 Dec 2015 20:15:23 +0100")
Date: Tue, 08 Dec 2015 11:21:15 -0800
Message-ID: <m2mvtk3fx0.fsf@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
 <83bna0di5k.fsf@HIDDEN> <20151208191523.GB19310@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/24.5 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22114
Cc: John Wiegley <jwiegley@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 22114 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

>>>>> Vasilij Schneidermann <v.schneidermann@HIDDEN> writes:

> Considering that this problem hasn't been reported before, I doubt anyone
> has been using the profiler seriously and this change will not disrupt
> anyone's workflow (which would need to be weird anyways because the only
> user-visible part that did change is that stopping doesn't prevent you from
> viewing a profiler run).

I would like to maintain UI consistency with well-established tools, since
this module is fairly new. How does that sound, Eli?

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 19:15:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 14:15:54 2015
Received: from localhost ([127.0.0.1]:43678 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6Nju-0004Zp-8H
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 14:15:54 -0500
Received: from mail-wm0-f41.google.com ([74.125.82.41]:34000)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <v.schneidermann@HIDDEN>) id 1a6NjR-0004Ys-NX
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 14:15:53 -0500
Received: by wmvv187 with SMTP id v187so228039476wmv.1
 for <22114 <at> debbugs.gnu.org>; Tue, 08 Dec 2015 11:15:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-disposition:in-reply-to:user-agent;
 bh=g8FnCr/WVg4LuRgXNKYC5BaqZccryDKSSiAhGj6Rwek=;
 b=hTPYtGp7zReazTH4PQhxq4lz5bFFEvhC0ADRUy/tabK1nuxGitAglh+VXSFmNWVugL
 bXow1j7CYma1xGQeFHtfpTh4JJQ7yPbPaUeWyrc0l50KzahL/kILbf89es8wIRIXo0+p
 1thW7c7VoauByKyvxQgUyYto9L71SgsTMtHx8NUC7u8IgNhozM+ETOIik6lhVzTb31ln
 gJ/OQ+G1OM5PnRAB8j1//2MXBaz1Y8qMs4OniNRGdrPkv+Tz+SiVTpE8lLHN7gJtE8uR
 ZCfEiA7BXTq9fklz4BWRTzKIj0OUKZEDssHBgsidApnX0q6vSX8GAb+FPF676CdfaKlV
 E2Tg==
X-Received: by 10.28.156.75 with SMTP id f72mr30403397wme.91.1449602125039;
 Tue, 08 Dec 2015 11:15:25 -0800 (PST)
Received: from localhost (port-92-204-65-240.dynamic.qsc.de. [92.204.65.240])
 by smtp.gmail.com with ESMTPSA id
 z13sm4200598wjr.47.2015.12.08.11.15.24
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 08 Dec 2015 11:15:24 -0800 (PST)
Date: Tue, 8 Dec 2015 20:15:23 +0100
From: Vasilij Schneidermann <v.schneidermann@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, John Wiegley <jwiegley@HIDDEN>
Subject: Re: bug#22114: 24.5;	[PATCH] Allow profiler.el to display reports
 after stopping
Message-ID: <20151208191523.GB19310@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
 <83bna0di5k.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="gBBFr7Ir9EOA20Yy"
Content-Disposition: inline
In-Reply-To: <83bna0di5k.fsf@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22114
Cc: 22114 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


--gBBFr7Ir9EOA20Yy
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline

> I prefer to solve the problem rather than work around it.

I'm not sure I'm understanding this correctly.  How is your suggestion
of just removing the check for whether the profiler is running not a
workaround?  The only way I see of solving this without extra code in
the frontend is by fixing the underlying C code, but you've confirmed
that this is not an option.  At least not without restructuring
profiler.c heavily.

To prove that I'm not the crazy one here, I've written two example
programs in Ruby (with ruby-prof) and Python (with cProfile).  Both of
them calculate a Fibonacci number in a profiler run, then display the
recorded data.  You can easily verify that the profiler behaves
idempotently and does not just discard data on a whim by editing these.
This does make a lot of sense if you consider that profiling data is
precious and would make sure it isn't easily lost unless someone
intentionally discards it.  I've been told by others that other tools
like gprof, perf and callgrind don't reset either, therefore my
conclusion on the topic is that Emacs is the odd one in this group.

Considering that this problem hasn't been reported before, I doubt
anyone has been using the profiler seriously and this change will not
disrupt anyone's workflow (which would need to be weird anyways because
the only user-visible part that did change is that stopping doesn't
prevent you from viewing a profiler run).

--gBBFr7Ir9EOA20Yy
Content-Type: application/x-ruby
Content-Disposition: attachment; filename="profile.rb"
Content-Transfer-Encoding: quoted-printable

require 'ruby-prof'=0A=0Adef fib(n)=0A  if n =3D=3D 0=0A    0=0A  elsif n =
=3D=3D 1=0A    1=0A  else=0A    fib(n-1) + fib(n-2)=0A  end=0Aend=0A=0ARuby=
Prof.start=0Afib(30)=0Alog =3D RubyProf.stop=0A=0Aprinter =3D RubyProf::Fla=
tPrinter.new(log)=0Aprinter.print(STDOUT)=0A
--gBBFr7Ir9EOA20Yy
Content-Type: text/x-python; charset=utf-8
Content-Disposition: attachment; filename="profile.py"

import cProfile, pstats, io

def fib(n):
    if n == 0:
        return 0
    elif n == 1:
        return 1
    else:
        return fib(n-1) + fib(n-2)

pr = cProfile.Profile()
pr.enable()
fib(30)
pr.disable()

s= io.StringIO()
sortby = 'cumulative'
ps = pstats.Stats(pr, stream=s).sort_stats(sortby)
ps.print_stats()
print(s.getvalue())

--gBBFr7Ir9EOA20Yy--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 18:15:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 13:15:04 2015
Received: from localhost ([127.0.0.1]:43529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6Mn2-0001MB-8G
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 13:15:04 -0500
Received: from mail-pa0-f45.google.com ([209.85.220.45]:34706)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jwiegley@HIDDEN>) id 1a6Mmh-0001L6-Mx
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 13:15:02 -0500
Received: by pacwq6 with SMTP id wq6so15585588pac.1
 for <22114 <at> debbugs.gnu.org>; Tue, 08 Dec 2015 10:14:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:in-reply-to:date:message-id:references
 :user-agent:mime-version:content-type;
 bh=QCuPYnNjsS76CHiE8qDK/lgFEEgzVav8wPI/XHR/gus=;
 b=FTmotrPEnTqAdGv5J1QCEOEBCuWLz2muzBXZnxjpdBRUgR8uIDEXrWeFef+1b0/7Mp
 Jbmvd4nkmc7+Pl6RL4YYS41+cVANYavsAe2DnLW6JM02PTzy3FPReoigUTDKZ1cOnkI5
 GGelqlfTYTV3cTpSCcFTC0dTH3ymxgATczx4ZkfH5N65MT/AXt/Cd9N4so2p44SPNdk5
 1geJbjEEYngqD50zagW8mpjI75syVLA+wBVLeITJf8XPxyC8oKDBNbWb05IXTcZ8uDDC
 GaSOBTaI3obu7OAUxkD1C+OnK3wcoP5ru2Ujl4Lfv24GfNRRWMAzRu7kTGYJLrHzYZFB
 O6vw==
X-Received: by 10.66.119.237 with SMTP id kx13mr1828033pab.158.1449598483081; 
 Tue, 08 Dec 2015 10:14:43 -0800 (PST)
Received: from Vulcan.local (76-234-68-79.lightspeed.frokca.sbcglobal.net.
 [76.234.68.79])
 by smtp.gmail.com with ESMTPSA id f5sm6304118pas.8.2015.12.08.10.14.42
 (version=TLS1 cipher=AES128-SHA bits=128/128);
 Tue, 08 Dec 2015 10:14:42 -0800 (PST)
Received: by Vulcan.local (Postfix, from userid 501)
 id B688510FCFB84; Tue,  8 Dec 2015 10:14:41 -0800 (PST)
From: John Wiegley <jwiegley@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22114: 24.5;
 [PATCH] Allow profiler.el to display reports after stopping
In-Reply-To: <83zixkbyoj.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 08 Dec
 2015 20:08:44 +0200")
Date: Tue, 08 Dec 2015 10:14:38 -0800
Message-ID: <m24mfs4xkh.fsf@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
 <83bna0di5k.fsf@HIDDEN> <20151208163208.GA1080@HIDDEN>
 <837fkodf3e.fsf@HIDDEN> <m2twns4z1u.fsf@HIDDEN>
 <83zixkbyoj.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/24.5 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22114
Cc: John Wiegley <jwiegley@HIDDEN>, v.schneidermann@HIDDEN,
 22114 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

>>>>> Eli Zaretskii <eliz@HIDDEN> writes:

> This is a completely different issue, and AFAIU the proposed patch didn't
> allow that. The C-level implementation of producing a profiler log (which is
> then used to format a report) resets the profile data once it returns the
> log, and then starts collecting the profile data anew. The OP's patch didn't
> change that.

Ah right, thanks for clarifying.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 18:12:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 13:12:41 2015
Received: from localhost ([127.0.0.1]:43510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6Mki-0001HS-Rn
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 13:12:41 -0500
Received: from mail-wm0-f50.google.com ([74.125.82.50]:34738)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <v.schneidermann@HIDDEN>) id 1a6Mkh-0001HI-52
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 13:12:39 -0500
Received: by wmvv187 with SMTP id v187so225693262wmv.1
 for <22114 <at> debbugs.gnu.org>; Tue, 08 Dec 2015 10:12:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-disposition:in-reply-to:user-agent;
 bh=si0WqwApG/q0NqOWEnunAibJF2kTjR3UBs2K6B7CnHo=;
 b=vMP1uqh2QAHGmwvAb/qoXOnvn9xn41RvQirhCeSqEit/0u3wL6giG0Lj9A2mD9Gjeo
 9Zhc+h902wcFwVNb/yK/DGx/oxQn62sS1oa/9KK+BO5J2yKTuA19rTNBJx5k3yRW6Ey7
 dll9eZMYfBn/ibt5BhLRZwl7FdUKsHClNNEwdKVqDw/ux3Iq4EuwwO3c9861PBGSJM7T
 t9acsOiU2zy9zbrlnpLz/G585WXgMLPoKi2CSp1UK1cMb+sCf9mDhSsqFk8BZVRD6b+s
 5nxQiJ48XEkflaf4PRuX0T/vw5PKuMvJKpZ29Bt7hwAEj1w9jIFTq4eU6Sn+GpN5E3xA
 vElA==
X-Received: by 10.28.153.137 with SMTP id b131mr6412711wme.3.1449598358645;
 Tue, 08 Dec 2015 10:12:38 -0800 (PST)
Received: from localhost (port-92-204-65-240.dynamic.qsc.de. [92.204.65.240])
 by smtp.gmail.com with ESMTPSA id
 lx4sm4060168wjb.5.2015.12.08.10.12.38
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 08 Dec 2015 10:12:38 -0800 (PST)
Date: Tue, 8 Dec 2015 19:12:37 +0100
From: Vasilij Schneidermann <v.schneidermann@HIDDEN>
To: John Wiegley <jwiegley@HIDDEN>
Subject: Re: bug#22114: 24.5; [PATCH] Allow profiler.el to display reports
 after stopping
Message-ID: <20151208181237.GA19310@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
 <83bna0di5k.fsf@HIDDEN> <20151208163208.GA1080@HIDDEN>
 <837fkodf3e.fsf@HIDDEN> <m2twns4z1u.fsf@HIDDEN>
 <20151208175654.GD1080@HIDDEN>
 <m2d1ug4y52.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <m2d1ug4y52.fsf@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22114
Cc: 22114 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> You just want the profiler report display to be idempotent? Wouldn't this mean
> necessitating another command call in order to reset results? Some people may
> be used to the fact that a report resets the results.

That's correct.  I consider an implementation using a variable more
resilient than relying on the user not to kill the buffer (which isn't
as unlikely as you'd think, given newbie questions of how to make Emacs
open less buffers).  Resetting does already have a command,
`profiler-reset`.  I've adjusted it in my patch to set the variables to
`nil` so that it will behave correctly in accordance with the other
changes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 18:10:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 13:10:26 2015
Received: from localhost ([127.0.0.1]:43505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6MiT-0001Dt-Oj
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 13:10:26 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:58653)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1a6MiR-0001Df-Ir
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 13:10:20 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0NZ100J00WQ8E400@HIDDEN> for 22114 <at> debbugs.gnu.org;
 Tue, 08 Dec 2015 20:10:18 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NZ100J5LX551NB0@HIDDEN>;
 Tue, 08 Dec 2015 20:10:18 +0200 (IST)
Date: Tue, 08 Dec 2015 20:10:16 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22114: 24.5;
 [PATCH] Allow profiler.el to display reports after stopping
In-reply-to: <20151208174441.GC1080@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Vasilij Schneidermann <v.schneidermann@HIDDEN>
Message-id: <83y4d4bylz.fsf@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
 <83bna0di5k.fsf@HIDDEN> <20151208164049.GB1080@HIDDEN>
 <834mfsdend.fsf@HIDDEN> <20151208174441.GC1080@HIDDEN>
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 22114
Cc: 22114 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

> Date: Tue, 8 Dec 2015 18:44:41 +0100
> From: Vasilij Schneidermann <v.schneidermann@HIDDEN>
> Cc: 22114 <at> debbugs.gnu.org
> 
> > Sorry, I don't understand this comment.  If the report can be produced
> > when the profiler is stopped, then the limitation is lifted, right?
> 
> This was specifically targeted at an earlier comment of yours:
> 
> > I don't really understand why profiler.el insists on having the
> > profiler running for providing the profile.
> 
> My theory as for the code was written this way is that its author
> noticed that accessing the log without getting an error is only possible
> while the profiler is still running, so he implemented exactly that.

But that was because of a very simple bug, not some inherent
limitation of the profiler.

> That's why I've discarded my earlier version of the patch (which pretty
> much looks like what you've proposed) and replaced it with something
> more elaborate working around this problem.

I prefer to solve the problem rather than work around it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 18:08:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 13:08:50 2015
Received: from localhost ([127.0.0.1]:43501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6Mh0-0001BC-4N
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 13:08:50 -0500
Received: from mtaout28.012.net.il ([80.179.55.184]:55602)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1a6Mgx-0001B1-H2
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 13:08:48 -0500
Received: from conversion-daemon.mtaout28.012.net.il by mtaout28.012.net.il
 (HyperSendmail v2007.08) id <0NZ100I00WSD4T00@HIDDEN> for
 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 20:07:55 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by mtaout28.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NZ100FVQX17WU20@HIDDEN>; Tue, 08 Dec 2015 20:07:55 +0200 (IST)
Date: Tue, 08 Dec 2015 20:08:44 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22114: 24.5;
 [PATCH] Allow profiler.el to display reports after stopping
In-reply-to: <m2twns4z1u.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: John Wiegley <jwiegley@HIDDEN>
Message-id: <83zixkbyoj.fsf@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
 <83bna0di5k.fsf@HIDDEN> <20151208163208.GA1080@HIDDEN>
 <837fkodf3e.fsf@HIDDEN> <m2twns4z1u.fsf@HIDDEN>
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 22114
Cc: 22114 <at> debbugs.gnu.org, v.schneidermann@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

> From: John Wiegley <jwiegley@HIDDEN>
> Cc: Vasilij Schneidermann <v.schneidermann@HIDDEN>,  22114 <at> debbugs.gnu.org
> Date: Tue, 08 Dec 2015 09:42:37 -0800
> 
> > But why would you need a subsequent access to the same data? The profiler
> > report is in the buffer, and you can review it whenever you want. The buffer
> > has the time of the report creation as part of its name, so the next report
> > will not destroy the buffer. You can also save the report to a file (there's
> > a separate command to do that). By contrast,producing a report again from
> > the same data will simply produce an identical report.
> 
> > I guess I don't see a use case where the user would need to produce the same
> > report twice. I never needed that myself, FWIW.
> 
> I think the OP wants to:
> 
>   1. Start a profile
>   2. View the "results in progress"
>   3. Allow it to continue execution
>   4. View the "results at the end"
> 
> It's step #2 that's missing. If we can only view the results in progress by
> taking away the option for #4, this is less optimal.

This is a completely different issue, and AFAIU the proposed patch
didn't allow that.  The C-level implementation of producing a profiler
log (which is then used to format a report) resets the profile data
once it returns the log, and then starts collecting the profile data
anew.  The OP's patch didn't change that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 18:02:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 13:02:24 2015
Received: from localhost ([127.0.0.1]:43489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6Mam-00011U-BZ
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 13:02:24 -0500
Received: from mail-pf0-f179.google.com ([209.85.192.179]:35052)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jwiegley@HIDDEN>) id 1a6Maj-00011E-FD
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 13:02:22 -0500
Received: by pfu207 with SMTP id 207so15611127pfu.2
 for <22114 <at> debbugs.gnu.org>; Tue, 08 Dec 2015 10:02:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:in-reply-to:date:message-id:references
 :user-agent:mime-version:content-type;
 bh=vWTsNBGvjb/pfZ9hfq5MASnkr8FJNT2g9R3MCjsUjD4=;
 b=z0fMXDFmrnDvHKOanOL5VafBupqdmXgwIYomXWQnIWUqQnNnEht7atGk1c/t5q8w4C
 ICItRg/oSGPIp/n7fYBJ6eZWv+rShhTw40pRIHZ+qkJy3DeEFJUxVe+zkA6HtAJldoq6
 x+a19WaR0eXpm+puJKqQ0MyfHRZmgDncWUreoh0vg5APrnnNl6DZYrPuuhkBGVA6oOWr
 r3XESK0hJ9tCcmWybIxwu8beViH5ywQy58xQncgjP+FnM9v4lEqbchiTek5M2/Tug9/b
 FeA+wm18AdPXIx2kcL5t3bQQ+TeW7pr+ThR24/+NWDO7zzdeM5JX0+0nwg4R2iV99mek
 aFLA==
X-Received: by 10.98.0.73 with SMTP id 70mr6794797pfa.4.1449597740659;
 Tue, 08 Dec 2015 10:02:20 -0800 (PST)
Received: from Vulcan.local (76-234-68-79.lightspeed.frokca.sbcglobal.net.
 [76.234.68.79])
 by smtp.gmail.com with ESMTPSA id c79sm6117725pfj.71.2015.12.08.10.02.19
 (version=TLS1 cipher=AES128-SHA bits=128/128);
 Tue, 08 Dec 2015 10:02:20 -0800 (PST)
Received: by Vulcan.local (Postfix, from userid 501)
 id 4DD0710FCF885; Tue,  8 Dec 2015 10:02:19 -0800 (PST)
From: John Wiegley <jwiegley@HIDDEN>
To: Vasilij Schneidermann <v.schneidermann@HIDDEN>
Subject: Re: bug#22114: 24.5;
 [PATCH] Allow profiler.el to display reports after stopping
In-Reply-To: <20151208175654.GD1080@HIDDEN> (Vasilij
 Schneidermann's message of "Tue, 8 Dec 2015 18:56:54 +0100")
Date: Tue, 08 Dec 2015 10:02:17 -0800
Message-ID: <m2d1ug4y52.fsf@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
 <83bna0di5k.fsf@HIDDEN> <20151208163208.GA1080@HIDDEN>
 <837fkodf3e.fsf@HIDDEN> <m2twns4z1u.fsf@HIDDEN>
 <20151208175654.GD1080@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/24.5 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22114
Cc: John Wiegley <jwiegley@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 22114 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

>>>>> Vasilij Schneidermann <v.schneidermann@HIDDEN> writes:

> This would be a nice addition to have, but is currently not possible (and
> not what I'm after with this patch). The very act of viewing the results in
> progress (which requires accessing the profiler log) creates a log *and*
> resets the profiler. If you access the log again while the profiler is still
> running, you'll get a new log starting from that point of time and spanning
> until access time. This can be repeated ad nauseam and is IMO rather
> unhelpful.

I see.

> What can be fixed though is the behaviour of profiler report with a stopped
> profiler. You are still limited to accessing the profiler log once, but if
> you make profiler.el cache it (be it by storing it in a variable before
> stopping or by opening an already existing profiler report buffer), the user
> won't be aware of this limitation, because no matter how often they display
> the report, it will stay exactly the same and not throw an error.

You just want the profiler report display to be idempotent? Wouldn't this mean
necessitating another command call in order to reset results? Some people may
be used to the fact that a report resets the results.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 17:56:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 12:56:58 2015
Received: from localhost ([127.0.0.1]:43485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6MVW-0000rY-3H
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 12:56:58 -0500
Received: from mail-wm0-f46.google.com ([74.125.82.46]:37474)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <v.schneidermann@HIDDEN>) id 1a6MVU-0000rQ-5W
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 12:56:56 -0500
Received: by wmww144 with SMTP id w144so39943755wmw.0
 for <22114 <at> debbugs.gnu.org>; Tue, 08 Dec 2015 09:56:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-disposition:in-reply-to:user-agent;
 bh=cZPxm6kldAXr9YppkLo3GPJSUHCsyBqmqDbr7S4QFEg=;
 b=Y6nNiInQMW6xkFgP2hUyPFx7zbS6CCFo6Ybj8XDoulDRJhswslj+IT0KUPnhlRqyiK
 YfxcG3d1HuN8hudPbQR5+iEikV+qfSlAGxcwlfTVUKzQAJm8ohvT5tJ/tX0T9b1R5Nc7
 DshPyUheV443VC7+/yDrsZ0CSZhFRBkyzFX3SLY1H1tq7dB67pb0IdW/cUwMx+Rypkgf
 RTw1BuNiPJHn48ELLdrrSMa71mKC5TAqTBYpDd6XnK/fdFBNWHcJvpkS+2eZRYGJF/4v
 5qAIz0Sv/t46M8o5A7PB7kW7vVdUF1CX3WKHoUVsUrUI+eh4CrexRRx+cyWxlm8ENjmq
 ktMA==
X-Received: by 10.28.228.138 with SMTP id b132mr31095549wmh.46.1449597415498; 
 Tue, 08 Dec 2015 09:56:55 -0800 (PST)
Received: from localhost (port-92-204-65-240.dynamic.qsc.de. [92.204.65.240])
 by smtp.gmail.com with ESMTPSA id
 t3sm3623394wjz.11.2015.12.08.09.56.54
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 08 Dec 2015 09:56:55 -0800 (PST)
Date: Tue, 8 Dec 2015 18:56:54 +0100
From: Vasilij Schneidermann <v.schneidermann@HIDDEN>
To: John Wiegley <jwiegley@HIDDEN>
Subject: Re: bug#22114: 24.5; [PATCH] Allow profiler.el to display reports
 after stopping
Message-ID: <20151208175654.GD1080@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
 <83bna0di5k.fsf@HIDDEN> <20151208163208.GA1080@HIDDEN>
 <837fkodf3e.fsf@HIDDEN> <m2twns4z1u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <m2twns4z1u.fsf@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22114
Cc: 22114 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> I think the OP wants to:
> 
>   1. Start a profile
>   2. View the "results in progress"
>   3. Allow it to continue execution
>   4. View the "results at the end"

This would be a nice addition to have, but is currently not possible
(and not what I'm after with this patch).  The very act of viewing the
results in progress (which requires accessing the profiler log) creates
a log *and* resets the profiler.  If you access the log again while the
profiler is still running, you'll get a new log starting from that point
of time and spanning until access time.  This can be repeated ad nauseam
and is IMO rather unhelpful.

What can be fixed though is the behaviour of profiler report with a
stopped profiler.  You are still limited to accessing the profiler log
once, but if you make profiler.el cache it (be it by storing it in a
variable before stopping or by opening an already existing profiler
report buffer), the user won't be aware of this limitation, because no
matter how often they display the report, it will stay exactly the same
and not throw an error.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 17:44:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 12:44:44 2015
Received: from localhost ([127.0.0.1]:43476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6MJg-0000Z3-AP
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 12:44:44 -0500
Received: from mail-wm0-f46.google.com ([74.125.82.46]:35496)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <v.schneidermann@HIDDEN>) id 1a6MJf-0000Yu-2f
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 12:44:43 -0500
Received: by wmuu63 with SMTP id u63so190563964wmu.0
 for <22114 <at> debbugs.gnu.org>; Tue, 08 Dec 2015 09:44:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-disposition:in-reply-to:user-agent;
 bh=5uqeDMJnOfAapC4vIqnEujG5TZNz+CGbyim4wykP2RY=;
 b=nCtnqAuWKeuZXtQz0blLPydxd/4LeO4KbfZKNwZW+Ilr50gwOh88zKfAu1BVvyxJpy
 71A7gQ+TamHVU2/MG5tu8DoWY79EC3snEzbHx5D81iDoNmK8L9rCMpdTtCAwUUs4yFIS
 1+zvTeSGo/PEmqeGH3DPC7EgiI4mqRhx4UuKTQ6Rkva/RpK6RQxAB9ZJC05uYsOT+hl9
 jZ/q9QqadHjrcF+agZC+R1YGTfA5xg9sFAefl9ZTSViLyXrMs44IfWGCJYx1ShFfhYpa
 8kJEWUr9cq2VDD6VWP7H9Rtmpq0kc/4n1VWc/1bFoo+t1l6KuGx1oThzDrM+6UVfpata
 nGpw==
X-Received: by 10.194.179.162 with SMTP id dh2mr858413wjc.17.1449596682461;
 Tue, 08 Dec 2015 09:44:42 -0800 (PST)
Received: from localhost (port-92-204-65-240.dynamic.qsc.de. [92.204.65.240])
 by smtp.gmail.com with ESMTPSA id
 c4sm3919218wjs.36.2015.12.08.09.44.41
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 08 Dec 2015 09:44:42 -0800 (PST)
Date: Tue, 8 Dec 2015 18:44:41 +0100
From: Vasilij Schneidermann <v.schneidermann@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22114: 24.5;	[PATCH] Allow profiler.el to display reports
 after stopping
Message-ID: <20151208174441.GC1080@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
 <83bna0di5k.fsf@HIDDEN> <20151208164049.GB1080@HIDDEN>
 <834mfsdend.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <834mfsdend.fsf@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22114
Cc: 22114 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> Sorry, I don't understand this comment.  If the report can be produced
> when the profiler is stopped, then the limitation is lifted, right?

This was specifically targeted at an earlier comment of yours:

> I don't really understand why profiler.el insists on having the
> profiler running for providing the profile.

My theory as for the code was written this way is that its author
noticed that accessing the log without getting an error is only possible
while the profiler is still running, so he implemented exactly that.
That's why I've discarded my earlier version of the patch (which pretty
much looks like what you've proposed) and replaced it with something
more elaborate working around this problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 17:42:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 12:42:48 2015
Received: from localhost ([127.0.0.1]:43461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6MHo-0000VN-2N
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 12:42:48 -0500
Received: from mail-pa0-f54.google.com ([209.85.220.54]:35852)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jwiegley@HIDDEN>) id 1a6MHl-0000VE-Gh
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 12:42:46 -0500
Received: by pacdm15 with SMTP id dm15so15255402pac.3
 for <22114 <at> debbugs.gnu.org>; Tue, 08 Dec 2015 09:42:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:in-reply-to:date:message-id:references
 :user-agent:mime-version:content-type;
 bh=pMG3L7l9oU+DqVhbDQfSoJzboykm+CcAPXkp+Tkp17I=;
 b=1HwoJ6VlD0Doy+P3mMR4WPbeEkxAZhTPdUmN46Plg0kCYI1KQmaFHFlovateL1b5Wk
 DvdQKed3lFoGIiPP5tSzWJzvAAJ0Ql/wtqn9Q7Cfw9D/rIK9rrsVpXBNnTBtdOvk1odF
 PL7HI2JBVamHpCCA0Zz2xK17TranD/m14/v5E/NU9jEQ9EnqnEDWX1PFD1NzzN93lELI
 dhymtiP+ZijPq5ZuddBHF65Eugfezk/rPoTYpkLY++edMSIlt5laJX3fVtrvr/grKO8Q
 dxjXDF9gf+ydttg3Js7zGF4XoOYpI63Vb/Aa6PrBWBH+qx98LF8XJ0DdSpV9Dkk/LyDM
 BCxQ==
X-Received: by 10.66.122.72 with SMTP id lq8mr1611971pab.1.1449596564864;
 Tue, 08 Dec 2015 09:42:44 -0800 (PST)
Received: from Vulcan.local (76-234-68-79.lightspeed.frokca.sbcglobal.net.
 [76.234.68.79])
 by smtp.gmail.com with ESMTPSA id q23sm6065123pfi.34.2015.12.08.09.42.43
 (version=TLS1 cipher=AES128-SHA bits=128/128);
 Tue, 08 Dec 2015 09:42:43 -0800 (PST)
From: John Wiegley <jwiegley@HIDDEN>
X-Google-Original-From: "John Wiegley" <johnw@HIDDEN>
Received: by Vulcan.local (Postfix, from userid 501)
 id 7315B10FCF349; Tue,  8 Dec 2015 09:42:42 -0800 (PST)
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22114: 24.5;
 [PATCH] Allow profiler.el to display reports after stopping
In-Reply-To: <837fkodf3e.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 08 Dec
 2015 19:28:53 +0200")
Date: Tue, 08 Dec 2015 09:42:37 -0800
Message-ID: <m2twns4z1u.fsf@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
 <83bna0di5k.fsf@HIDDEN> <20151208163208.GA1080@HIDDEN>
 <837fkodf3e.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/24.5 (darwin)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22114
Cc: 22114 <at> debbugs.gnu.org, Vasilij Schneidermann <v.schneidermann@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

>>>>> Eli Zaretskii <eliz@HIDDEN> writes:

> But why would you need a subsequent access to the same data? The profiler
> report is in the buffer, and you can review it whenever you want. The buf=
fer
> has the time of the report creation as part of its name, so the next repo=
rt
> will not destroy the buffer. You can also save the report to a file (ther=
e's
> a separate command to do that). By contrast,producing a report again from
> the same data will simply produce an identical report.

> I guess I don't see a use case where the user would need to produce the s=
ame
> report twice. I never needed that myself, FWIW.

I think the OP wants to:

  1. Start a profile
  2. View the "results in progress"
  3. Allow it to continue execution
  4. View the "results at the end"

It's step #2 that's missing. If we can only view the results in progress by
taking away the option for #4, this is less optimal.

This is something that other profilers do let you do; I use Instruments on =
the
Mac to view "statistics as they happen" all the time, to spot trends, for
example.

=2D-=20
John Wiegley                  GPG fingerprint =3D 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQGcBAEBCgAGBQJWZxaNAAoJEMFE2PTxn+YwfXcL/2otKX3rUKKj26vrZBpenlCj
gPyyGml3pfFx9vtMgBJQ4c5vBCE6XNBCJvUK2QRFUjCn0lkonFzCYLAYuHjjzVcC
ywyWJjjLS3Nrr+5B2ID8T21Dx2rC//6sYxf/9pc+U2x4Cc6sL/hwPXZ+f6uOCzp/
HG8gGONvC9E4Vid6vqnPSMiCJO+rryxiuM1IC7KurVjSwYmZe+uoJkbu2pvyIoFe
VMdaonq2fmxXHxE9Gs0EUFUQWBeOVcdv0qMHIxM/p+31zZj2i8HM+vN7Q9HKfmkJ
nYytVbnAYq98Wx1pKKhhIOK6Y+AR3VLATsK/RnB8SWoPMFXsWHIS4RUUCQsf5Phh
aplytFwNqVIOBhzeovNzEGem6t367VmVtz66RaEffhPFHSOOEnILP20cTWYRFNHR
cAI/f5Qh2yVem/DG2eP2js/qp9p36IQHtRIZpUE4XVlyVOs3lSfHOZdINhCBKcXj
lFWxBv+ilTy2Nh54GCnnAfzFoFTEhwomF9vnQsd6Qw==
=1bmg
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 17:38:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 12:38:55 2015
Received: from localhost ([127.0.0.1]:43453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6ME2-0000Nq-Jf
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 12:38:54 -0500
Received: from mtaout27.012.net.il ([80.179.55.183]:55771)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1a6MDh-0000NA-Es
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 12:38:52 -0500
Received: from conversion-daemon.mtaout27.012.net.il by mtaout27.012.net.il
 (HyperSendmail v2007.08) id <0NZ100M00V2WMF00@HIDDEN> for
 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 19:33:42 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by mtaout27.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NZ100LQJVG66420@HIDDEN>; Tue, 08 Dec 2015 19:33:42 +0200 (IST)
Date: Tue, 08 Dec 2015 19:38:30 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22114: 24.5;
 [PATCH] Allow profiler.el to display reports after stopping
In-reply-to: <20151208164049.GB1080@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Vasilij Schneidermann <v.schneidermann@HIDDEN>
Message-id: <834mfsdend.fsf@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
 <83bna0di5k.fsf@HIDDEN> <20151208164049.GB1080@HIDDEN>
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 22114
Cc: 22114 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

> Date: Tue, 8 Dec 2015 17:40:49 +0100
> From: Vasilij Schneidermann <v.schneidermann@HIDDEN>
> Cc: 22114 <at> debbugs.gnu.org
> 
> Or imposing a restriction on the profiler workflow such as that it must
> be running to produce a profiler report...

Sorry, I don't understand this comment.  If the report can be produced
when the profiler is stopped, then the limitation is lifted, right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 17:28:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 12:28:59 2015
Received: from localhost ([127.0.0.1]:43445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6M4Q-00007T-Qw
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 12:28:59 -0500
Received: from mtaout23.012.net.il ([80.179.55.175]:39863)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1a6M4O-00007I-L9
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 12:28:57 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0NZ100D00V0R6Z00@HIDDEN> for 22114 <at> debbugs.gnu.org;
 Tue, 08 Dec 2015 19:28:55 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NZ100DYBV864840@HIDDEN>;
 Tue, 08 Dec 2015 19:28:55 +0200 (IST)
Date: Tue, 08 Dec 2015 19:28:53 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22114: 24.5;
 [PATCH] Allow profiler.el to display reports after stopping
In-reply-to: <20151208163208.GA1080@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Vasilij Schneidermann <v.schneidermann@HIDDEN>
Message-id: <837fkodf3e.fsf@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
 <83bna0di5k.fsf@HIDDEN> <20151208163208.GA1080@HIDDEN>
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 22114
Cc: 22114 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

> Date: Tue, 8 Dec 2015 17:32:08 +0100
> From: Vasilij Schneidermann <v.schneidermann@HIDDEN>
> Cc: 22114 <at> debbugs.gnu.org
> 
> > Thanks.  But I don't see why we would need to keep a copy of the
> > profile around (and it looks weird to do that anyway, when we have a
> > function that reports it).  When profiler-cpu-log is called, it
> > returns the profile before it resets it, so the data is available and
> > should simply be used.
> > 
> > I don't really understand why profiler.el insists on having the
> > profiler running for providing the profile.  The much simpler patch
> > below makes it possible for me to invoke profiler-report whether a
> > profile is running or not.  Does it work for you?  If not, can you
> > tell what I missed?
> 
> This works only once.  If the profiler has been stopped and you retrieve
> the log, it resets and subsequent access will yield an error.

But why would you need a subsequent access to the same data?  The
profiler report is in the buffer, and you can review it whenever you
want.  The buffer has the time of the report creation as part of its
name, so the next report will not destroy the buffer.  You can also
save the report to a file (there's a separate command to do that).  By
contrast,producing a report again from the same data will simply
produce an identical report.

I guess I don't see a use case where the user would need to produce
the same report twice.  I never needed that myself, FWIW.

> While your variant may be simpler, it is less user-friendly as
> viewing the report a second time will yield an incomprehensible
> error.

If the error message needs improvement, we could do that as well.

> Avoiding this either requires fixing the function retrieving the log
> (which is at the C level and out of my reach) or using a workaround
> like the two extra variables in my patch.

The code implemented in C resets the data deliberately (there are
comments there that explain why), so it cannot be fixed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 16:40:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 11:40:53 2015
Received: from localhost ([127.0.0.1]:43428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6LJs-0007Lb-Gu
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 11:40:52 -0500
Received: from mail-wm0-f43.google.com ([74.125.82.43]:33018)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <v.schneidermann@HIDDEN>) id 1a6LJr-0007LU-EO
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 11:40:51 -0500
Received: by wmec201 with SMTP id c201so220741103wme.0
 for <22114 <at> debbugs.gnu.org>; Tue, 08 Dec 2015 08:40:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-disposition:in-reply-to:user-agent;
 bh=QW+JpTrtfVaEITolFx+zsFMHxyOSjeLaJKQfKh2afek=;
 b=yOTEUolTf2iZbFlpygthDzuvDGNESWavCIoVOLEemAYq5+WG24YTIGBnUVqUyMBhVa
 fQqOq71+XjRNhWZdbez3RWPQqjXE4kt6PBYBtthucNGEWo+cXpD21IkE7hM7Hb/w7jxc
 wty3b7NMYLzEs579i/9OUeWgu7HP5RRgu9o7oSnYcbXp5IsHVQSPf3lYLXMYBX6VZoT/
 FMw0aQ+KLNl8cQ8eGPoyDsj7HQ5u0kU/OSGkmKMnbb9KTJnjhoeffhmviIoCt2868+AJ
 d5LqWlc8ZKc05MxH4ZEg+cRfi1ThMo73gHTCL8I/rxRUUZN5leYSY4s8ifnUG8ftZZkE
 nnSA==
X-Received: by 10.194.59.108 with SMTP id y12mr517696wjq.33.1449592850810;
 Tue, 08 Dec 2015 08:40:50 -0800 (PST)
Received: from localhost (port-92-204-65-240.dynamic.qsc.de. [92.204.65.240])
 by smtp.gmail.com with ESMTPSA id
 vu4sm3755752wjc.2.2015.12.08.08.40.50
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 08 Dec 2015 08:40:50 -0800 (PST)
Date: Tue, 8 Dec 2015 17:40:49 +0100
From: Vasilij Schneidermann <v.schneidermann@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22114: 24.5;	[PATCH] Allow profiler.el to display reports
 after stopping
Message-ID: <20151208164049.GB1080@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
 <83bna0di5k.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <83bna0di5k.fsf@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22114
Cc: 22114 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Or imposing a restriction on the profiler workflow such as that it must
be running to produce a profiler report...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 16:32:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 11:32:32 2015
Received: from localhost ([127.0.0.1]:43413 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6LBo-00077D-Gv
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 11:32:32 -0500
Received: from mail-wm0-f47.google.com ([74.125.82.47]:34998)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <v.schneidermann@HIDDEN>) id 1a6LBU-00076f-2f
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 11:32:30 -0500
Received: by wmuu63 with SMTP id u63so187886576wmu.0
 for <22114 <at> debbugs.gnu.org>; Tue, 08 Dec 2015 08:32:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-disposition:in-reply-to:user-agent;
 bh=klBEmEqd8Dmj6pfcrgaYPMygLguTwmXnpDlhzxLYuTw=;
 b=xzELctHd5VhZfkFU6L4zidSRlpAjOXevHGLiBdExtO1oUMpiaFQ1jhZaOB7lerZ74g
 xySl7OqS9IpSryvCNFa9pwsYa5tuFP0BGVnsKW30+rvPKxF+5T/YN5FZerDx40vZAZG9
 4PORot13p/0Ebvg6ntqXBZRTRwzcHyFeoRtzRaC/pyAKOMmy1DTIlt5yTxJzlaFAckQs
 0xpiWRzE+rZfzafOQsqJNzWchYtp94g3h11vPLGGvLWfed+R5EQOI7MWYrUQ3sr6ath9
 8G8yO+72WjiNBEPx+Dsv9E9YhXEhFZmQt0tyDtgWD5FNMMNe83E32lMXevyxfqP2BuMg
 fzFA==
X-Received: by 10.28.21.204 with SMTP id 195mr5286707wmv.17.1449592330897;
 Tue, 08 Dec 2015 08:32:10 -0800 (PST)
Received: from localhost (port-92-204-65-240.dynamic.qsc.de. [92.204.65.240])
 by smtp.gmail.com with ESMTPSA id
 198sm4172611wmr.18.2015.12.08.08.32.09
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 08 Dec 2015 08:32:10 -0800 (PST)
Date: Tue, 8 Dec 2015 17:32:08 +0100
From: Vasilij Schneidermann <v.schneidermann@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22114: 24.5;	[PATCH] Allow profiler.el to display reports
 after stopping
Message-ID: <20151208163208.GA1080@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
 <83bna0di5k.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <83bna0di5k.fsf@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22114
Cc: 22114 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> Thanks.  But I don't see why we would need to keep a copy of the
> profile around (and it looks weird to do that anyway, when we have a
> function that reports it).  When profiler-cpu-log is called, it
> returns the profile before it resets it, so the data is available and
> should simply be used.
> 
> I don't really understand why profiler.el insists on having the
> profiler running for providing the profile.  The much simpler patch
> below makes it possible for me to invoke profiler-report whether a
> profile is running or not.  Does it work for you?  If not, can you
> tell what I missed?

This works only once.  If the profiler has been stopped and you retrieve
the log, it resets and subsequent access will yield an error.  While
your variant may be simpler, it is less user-friendly as viewing the
report a second time will yield an incomprehensible error.  Avoiding
this either requires fixing the function retrieving the log (which is at
the C level and out of my reach) or using a workaround like the two
extra variables in my patch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at 22114 <at> debbugs.gnu.org:


Received: (at 22114) by debbugs.gnu.org; 8 Dec 2015 16:23:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 11:23:16 2015
Received: from localhost ([127.0.0.1]:43402 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6L2p-0006r8-J5
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 11:23:16 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:53087)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1a6L2n-0006r0-5b
 for 22114 <at> debbugs.gnu.org; Tue, 08 Dec 2015 11:23:13 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0NZ100B00S1QY600@HIDDEN> for 22114 <at> debbugs.gnu.org;
 Tue, 08 Dec 2015 18:22:49 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NZ100BHYS61XJ10@HIDDEN>;
 Tue, 08 Dec 2015 18:22:49 +0200 (IST)
Date: Tue, 08 Dec 2015 18:22:47 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22114: 24.5;
 [PATCH] Allow profiler.el to display reports after stopping
In-reply-to: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Vasilij Schneidermann <v.schneidermann@HIDDEN>
Message-id: <83bna0di5k.fsf@HIDDEN>
References: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 22114
Cc: 22114 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

> Date: Tue, 8 Dec 2015 09:13:58 +0100
> From: Vasilij Schneidermann <v.schneidermann@HIDDEN>
> 
> I've worked with a few other profilers than profiler.el so far and one
> striking difference is that they allowed you to start a profiling run,
> stop it and then retrieve the profiling log between these two points in
> time. profiler.el on the other hand flatout refuses to display a report
> after stopping which is especially puzzling given the `profiler-stop`
> docstring: "Stop started profilers. Profiler logs will be kept." If
> the logs are kept after all, why can't I take a look at them?
> 
> I've attached a patch that solves this by caching the last accessable
> profiler log. This allows both workflows to work, be it displaying a
> report while the profiler is still running or displaying it after
> stopping the profiler.

Thanks.  But I don't see why we would need to keep a copy of the
profile around (and it looks weird to do that anyway, when we have a
function that reports it).  When profiler-cpu-log is called, it
returns the profile before it resets it, so the data is available and
should simply be used.

I don't really understand why profiler.el insists on having the
profiler running for providing the profile.  The much simpler patch
below makes it possible for me to invoke profiler-report whether a
profile is running or not.  Does it work for you?  If not, can you
tell what I missed?

--- lisp/profiler.el~4	2015-11-11 07:57:32.000000000 +0200
+++ lisp/profiler.el	2015-12-08 17:54:27.380084700 +0200
@@ -216,19 +216,17 @@
 
 (defun profiler-cpu-profile ()
   "Return CPU profile."
-  (when (profiler-running-p 'cpu)
-    (profiler-make-profile
-     :type 'cpu
-     :timestamp (current-time)
-     :log (profiler-cpu-log))))
+  (profiler-make-profile
+   :type 'cpu
+   :timestamp (current-time)
+   :log (profiler-cpu-log)))
 
 (defun profiler-memory-profile ()
   "Return memory profile."
-  (when (profiler-memory-running-p)
-    (profiler-make-profile
-     :type 'memory
-     :timestamp (current-time)
-     :log (profiler-memory-log))))
+  (profiler-make-profile
+   :type 'memory
+   :timestamp (current-time)
+   :log (profiler-memory-log)))
 
 
 ;;; Calltrees
@@ -846,12 +844,12 @@
 
 (defun profiler-report-cpu ()
   (let ((profile (profiler-cpu-profile)))
-    (when profile
+    (when (and profile (profiler-profile-log profile))
       (profiler-report-profile-other-window profile))))
 
 (defun profiler-report-memory ()
   (let ((profile (profiler-memory-profile)))
-    (when profile
+    (when (and profile (profiler-profile-log profile))
       (profiler-report-profile-other-window profile))))
 
 (defun profiler-report ()




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Dec 2015 08:14:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 03:14:06 2015
Received: from localhost ([127.0.0.1]:42298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6DPS-0000Bd-00
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 03:14:06 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60756)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <v.schneidermann@HIDDEN>) id 1a6DPP-0000BV-UB
 for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 03:14:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <v.schneidermann@HIDDEN>) id 1a6DPO-0002vU-FU
 for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 03:14:03 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39840)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <v.schneidermann@HIDDEN>) id 1a6DPO-0002vQ-D6
 for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 03:14:02 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42529)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <v.schneidermann@HIDDEN>) id 1a6DPN-0006ft-0w
 for bug-gnu-emacs@HIDDEN; Tue, 08 Dec 2015 03:14:02 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <v.schneidermann@HIDDEN>) id 1a6DPL-0002v6-Qu
 for bug-gnu-emacs@HIDDEN; Tue, 08 Dec 2015 03:14:00 -0500
Received: from mail-qg0-x22f.google.com ([2607:f8b0:400d:c04::22f]:33071)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <v.schneidermann@HIDDEN>) id 1a6DPL-0002v2-LZ
 for bug-gnu-emacs@HIDDEN; Tue, 08 Dec 2015 03:13:59 -0500
Received: by qgea14 with SMTP id a14so10032891qge.0
 for <bug-gnu-emacs@HIDDEN>; Tue, 08 Dec 2015 00:13:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=RQpIBLmgRBsfx5XDFb6Rkkat5V1kU6pRKG1XhBgB90c=;
 b=F2If4zv804002kvbjPBJpx1FixqHYfE4P3BHdWwIlkVzOkXA3D4mvwLeHJHntz6jTq
 qA2uLvRy50XPAnuH3Bwyp1gzurI2KGJUXcIK6u42GtumN/b+4rG/gYmW6hbVyHGCSQAq
 3Pv4PNeWruGEcXn2tjd5T07s3JnRSrNR4psgKhDGSeBJcyOqskqnfMXtn2JBrjRH8y06
 AzbM7zpOMC/uLm78VSRNcdlqezl6bLK/qSdTOgNLwcmxnnH7KVYPxhU6pgC6vnYMzoyd
 sPuIf3SEdFVVS/tKrBl9GUOJYmMHADo1bafv8S6/d19ZSo+FA8gOZ/puPy/S7VvJkjlP
 48HQ==
MIME-Version: 1.0
X-Received: by 10.140.27.228 with SMTP id 91mr2876346qgx.78.1449562439117;
 Tue, 08 Dec 2015 00:13:59 -0800 (PST)
Received: by 10.55.42.34 with HTTP; Tue, 8 Dec 2015 00:13:58 -0800 (PST)
Date: Tue, 8 Dec 2015 09:13:58 +0100
Message-ID: <CAPGgwWRsmiD_H98FkEPUFyWuyeWO1rD0OG3HhXN9u54CP2Ad8g@HIDDEN>
Subject: 24.5; [PATCH] Allow profiler.el to display reports after stopping
From: Vasilij Schneidermann <v.schneidermann@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary=001a11c13aa843a1d105265e8e45
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a11c13aa843a1d105265e8e45
Content-Type: multipart/alternative; boundary=001a11c13aa843a1cc05265e8e43

--001a11c13aa843a1cc05265e8e43
Content-Type: text/plain; charset=UTF-8

I've worked with a few other profilers than profiler.el so far and one
striking difference is that they allowed you to start a profiling run,
stop it and then retrieve the profiling log between these two points in
time.  profiler.el on the other hand flatout refuses to display a report
after stopping which is especially puzzling given the `profiler-stop`
docstring: "Stop started profilers.  Profiler logs will be kept."  If
the logs are kept after all, why can't I take a look at them?

I've attached a patch that solves this by caching the last accessable
profiler log.  This allows both workflows to work, be it displaying a
report while the profiler is still running or displaying it after
stopping the profiler.

--001a11c13aa843a1cc05265e8e43
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I&#39;ve worked with a few other profilers than profiler.e=
l so far and one<br>striking difference is that they allowed you to start a=
 profiling run,<br>stop it and then retrieve the profiling log between thes=
e two points in<br>time. =C2=A0profiler.el on the other hand flatout refuse=
s to display a report<br>after stopping which is especially puzzling given =
the `profiler-stop`<br>docstring: &quot;Stop started profilers.=C2=A0 Profi=
ler logs will be kept.&quot; =C2=A0If<br>the logs are kept after all, why c=
an&#39;t I take a look at them?<br><br>I&#39;ve attached a patch that solve=
s this by caching the last accessable<br>profiler log.=C2=A0 This allows bo=
th workflows to work, be it displaying a<br>report while the profiler is st=
ill running or displaying it after<br>stopping the profiler.<br></div>

--001a11c13aa843a1cc05265e8e43--
--001a11c13aa843a1d105265e8e45
Content-Type: text/x-diff; charset=US-ASCII; 
	name="0001-Allow-for-retrieving-profiler-logs-after-stopping.patch"
Content-Disposition: attachment; 
	filename="0001-Allow-for-retrieving-profiler-logs-after-stopping.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_ihx41nqn0
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--001a11c13aa843a1d105265e8e45--




Acknowledgement sent to Vasilij Schneidermann <v.schneidermann@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22114; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 8 Dec 2015 19:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.